Description

The problem :

Most of the time you want testers (or any other significant role) in your project team to be able to change the ticket status to

"validate", "feedback" or "reject" a ticket after testing.

Currently you can allow a "tester" role to "Edit Issue", allowing testers to do the required change.

But it provide too much powers to testers that are not developers/managers! With this permission the testers can also change the

initial description of the ticket!

For some projects you might also want to not allow "developers" to change the initial description of a ticket, only let them add

comments to it and allow only admin or "managers" to change it.

Still developers need to be able to change the ticket status, even if not allowed to edit the whole ticket description.

The feature would :

- add a new permission "Edit Ticket Status" that would then allow the user to change the status;

- make the permission "Edit Issue" allow status AND description permission edition;

An alternative (but more expensive?) solution would be to specify witch fields of a ticket can be modified when the "Edit Issue"

permission is on, for each role where it's on. That would allow even more precision in permission management.

Related issues:

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2011-08-22 14:15 - Etienne Massip

- Category set to Issues permissions

#2 - 2012-06-20 11:11 - Alfred Costa

+1

This would be very useful.

#3 - 2019-06-08 03:48 - Go MAEDA

- Category changed from Issues permissions to Permissions and roles

- Status changed from New to Closed

- Resolution set to Duplicate

You can set fields to read-only for particular roles and statuses with "Fields permissions" in the workflow page. This feature was implemented in

Redmine 2.1.0 (#3521).

#4 - 2019-06-08 03:48 - Go MAEDA

- Is duplicate of Feature #3521: Permissions for roles to change fields per tracker/status added
